/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.dussan.vaadin.dvirtual.database.data;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity( name = "ServersGroupServerData" )
@Table( name = "dv_servers_group_server" )
public class ServersGroupServerData
    implements Serializable
{

    private static final long serialVersionUID = -6800523755955755199L;

    @Id
    @Column( name = "servers_group_id", nullable = false )
    private Long serversGroupId;

    @Id
    @Column( name = "server_id", nullable = false )
    private Long serverId;

    public ServersGroupServerData()
    {
        // nothing to do
    }

    public ServersGroupServerData( long serversGroupId, long serverId )
    {
        setServersGroupId( serversGroupId );
        setServerId( serverId );
    }

    public Long getServersGroupId()
    {
        return serversGroupId;
    }

    public void setServersGroupId( Long serversGroupId )
    {
        this.serversGroupId = serversGroupId;
    }

    public Long getServerId()
    {
        return serverId;
    }

    public void setServerId( Long serverId )
    {
        this.serverId = serverId;
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + ( ( serverId == null ) ? 0 : serverId.hashCode() );
        result = prime * result + ( ( serversGroupId == null ) ? 0 : serversGroupId.hashCode() );
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
        {
            return true;
        }
        if ( obj == null )
        {
            return false;
        }
        if ( !( obj instanceof ServersGroupServerData ) )
        {
            return false;
        }
        ServersGroupServerData other = (ServersGroupServerData) obj;
        if ( serverId == null )
        {
            if ( other.serverId != null )
            {
                return false;
            }
        }
        else if ( !serverId.equals( other.serverId ) )
        {
            return false;
        }
        if ( serversGroupId == null )
        {
            if ( other.serversGroupId != null )
            {
                return false;
            }
        }
        else if ( !serversGroupId.equals( other.serversGroupId ) )
        {
            return false;
        }
        return true;
    }

}
