/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.dussan.vaadin.dvirtual.ui.events.data;

import java.io.Serializable;
import java.util.List;

public class KeyboardEventData
    implements Serializable
{

    private static final long serialVersionUID = -45301365545061103L;

    private Boolean keyPressed1 = null;

    private Boolean keyPressed2 = null;

    private Integer keyCode = null;

    private Integer keyValue = null;

    private String keyName = null;

    private String keyString = null;

    private List<String> modifiers = null;

    public KeyboardEventData( Integer keyCode, Integer keyValue, String keyName, String keyString, List<String> modifiers, Boolean keyPressed1, Boolean keyPressed2 )
    {
        this.keyCode = keyCode;
        this.keyValue = keyValue;
        this.keyName = keyName;
        this.keyString = keyString;
        this.modifiers = modifiers;
        this.keyPressed1 = keyPressed1;
        this.keyPressed2 = keyPressed2;
    }

    public Integer getKeyCode()
    {
        return keyCode;
    }

    public Integer getKeyValue()
    {
        return keyValue;
    }

    public String getKeyName()
    {
        return keyName;
    }

    public String getKeyString()
    {
        return keyString;
    }

    public List<String> getModifiers()
    {
        return modifiers;
    }

    public Boolean getKeyPressed1()
    {
        return keyPressed1;
    }

    public Boolean getKeyPressed2()
    {
        return keyPressed2;
    }

}
