/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.utils;

import java.io.Serializable;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class LoggerUtil
    implements Serializable
{

    private static final long serialVersionUID = 8642798557893812591L;

    public static final String THREAD_INTERRUPTED = "Interrupted exception:";

    private LoggerUtil()
    {
        // nothing to do
    }

    public static Logger getLogger()
    {
        StackTraceElement[] stackTrace = Thread.currentThread()
                                               .getStackTrace();
        String callersClassName = stackTrace[2].getClassName();
        return LoggerFactory.getLogger( callersClassName );
    }

}
