/**
 * Copyright (C) 2020-2022 Dušan Vejnović <vaadin@dussan.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.dussan.vaadin.dvirtual.xpra.processors;

import java.io.Serializable;
import java.util.EnumMap;
import java.util.Map;

import org.dussan.vaadin.dvirtual.xpra.packets.PacketType;
import org.dussan.vaadin.dvirtual.xpra.processors.base.ClientPacketProcessor;

public class ClientPacketProcessors
    implements Serializable
{

    private static final long serialVersionUID = 8221625169748122501L;

    private final Map<PacketType.Client, ClientPacketProcessor<?>> processors = new EnumMap<>( PacketType.Client.class );

    public ClientPacketProcessors()
    {
        // nothing to do
    }

    public void addProcessor( PacketType.Client type, ClientPacketProcessor<?> processor )
    {
        processors.put( type, processor );
    }

    public ClientPacketProcessor<?> getProcessor( PacketType.Client type )
    {
        return processors.get( type );
    }

}
